/*
 *  Part of rvminis source code,
 *  Copyright (C) 2002 Gabor Varga (bootes@freemail.hu)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __FIN_H
#define __FIN_H

#include "rvtypes.h"




class RVFin
{
public:
  RVFin();
  ~RVFin();

  bool load(const char *fname);
  bool save(const char *fname);

  bool translate(const S_RV_Vector &vec);

public:
  rvulong       cnt;
  S_FIN_Data*   data;
};

#endif
